Overview | Package | Class | Tree | Deprecated | Index | Help
| For the latest news and information visit The GNU Crypto project
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## gnu.crypto.jce
Class GnuCrypto

    java.lang.Object
      |
      +--java.util.Dictionary
            |
            +--java.util.Hashtable
                  |
                  +--java.util.Properties
                        |
                        +--java.security.Provider
                              |
                              +--gnu.crypto.jce.GnuCrypto

All Implemented Interfaces:
  java.lang.Cloneable, java.util.Map, java.io.Serializable

public final class GnuCrypto
extends java.security.Provider

The GNU Crypto implementation of the Java Cryptographic Extension (JCE) Provider.

Version:
  $Revision: 1.5 $
See Also:
  `Provider`, Serialized Form

Inner classes inherited from class java.util.Map
`java.util.Map.Entry`

Fields inherited from class java.security.Provider
`serialVersionUID`

Fields inherited from class java.util.Properties
`defaults`

Constructor Summary
`GnuCrypto()`

Method Summary
`static java.util.Set` | `getCipherNames()` Returns a `Set` of names of symmetric key block cipher algorithms available from this `Provider`.
`static java.util.Set` | `getKeyPairGeneratorNames()` Returns a `Set` of names of keypair generator implementations available from this `Provider`.
`static java.util.Set` | `getMessageDigestNames()` Returns a `Set` of names of message digest algorithms available from this `Provider`.
`static java.util.Set` | `getSecureRandomNames()` Returns a `Set` of names of secure random implementations available from this `Provider`.
`static java.util.Set` | `getSignatureNames()` Returns a `Set` of names of signature scheme implementations available from this `Provider`.

Methods inherited from class java.security.Provider
`clear, entrySet, getInfo, getName, getVersion, keySet, load, loadProvider, put, putAll, remove, toString, values`

Methods inherited from class java.util.Properties
`, getProperty, getProperty, list, list, propertyNames, save, setProperty, store`

Methods inherited from class java.util.Hashtable
`clone, contains, containsKey, containsValue, elements, equals, get, hashCode, isEmpty, keys, rehash, size`

Methods inherited from class java.lang.Object
`finalize, getClass, notify, notifyAll, wait, wait, wait`

Constructor Detail

### GnuCrypto

    public GnuCrypto()

Method Detail

### getMessageDigestNames

    public static final java.util.Set getMessageDigestNames()

  Returns a `Set` of names of message digest algorithms available from this `Provider`.

  Returns:
    a `Set` of hash names (Strings).

### getSecureRandomNames

    public static final java.util.Set getSecureRandomNames()

  Returns a `Set` of names of secure random implementations available from this `Provider`.

  Returns:
    a `Set` of hash names (Strings).

### getKeyPairGeneratorNames

    public static final java.util.Set getKeyPairGeneratorNames()

  Returns a `Set` of names of keypair generator implementations available from this `Provider`.

  Returns:
    a `Set` of hash names (Strings).

### getSignatureNames

    public static final java.util.Set getSignatureNames()

  Returns a `Set` of names of signature scheme implementations available from this `Provider`.

  Returns:
    a `Set` of hash names (Strings).

### getCipherNames

    public static final java.util.Set getCipherNames()

  Returns a `Set` of names of symmetric key block cipher algorithms available from this `Provider`.

  Returns:
    a `Set` of hash names (Strings).

Overview | Package | Class | Tree | Deprecated | Index | Help
| For the latest news and information visit The GNU Crypto project
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright ©2001-2002 Free Software Foundation, Inc.. All Rights Reserved.